import { ElementRef, EventEmitter } from '@angular/core';
import { Icon } from '../../enum/icon.enum';
import { IconCacheService } from '../../service/icon-cache.service';
import { ActionButtonsCfgNames } from '../../interface/action-buttons-cfg-names.interface';
export declare class TransactionLineActionButtonsPopupComponent {
    iconCacheService: IconCacheService;
    readonly icons: typeof Icon;
    configNames: ActionButtonsCfgNames;
    parentForOverlay: ElementRef;
    canReopenExternalOrder: boolean;
    canCreateService: boolean;
    reopenExternalOrderClick: EventEmitter<void>;
    addDocumentButtonClick: EventEmitter<void>;
    articleTextButtonClick: EventEmitter<void>;
    transactionTextButtonClick: EventEmitter<void>;
    createServiceButtonClick: EventEmitter<void>;
    viewStockButtonClick: EventEmitter<void>;
    sidePanelButtonClick: EventEmitter<void>;
    copyLineButtonClick: EventEmitter<void>;
    clickOutsideClick: EventEmitter<void>;
    showClass: boolean;
    constructor(iconCacheService: IconCacheService);
    HandleReopenExternalOrderClick(event: MouseEvent): void;
    handleAddDocumentButtonClick(event: MouseEvent): void;
    handleArticleTextButtonClick(event: MouseEvent): void;
    handleTransactionTextButtonClick(event: MouseEvent): void;
    handleCreateServiceButtonClick(event: MouseEvent): void;
    handleViewStockButtonClick(event: MouseEvent): void;
    handleSidePanelButtonClick(event: MouseEvent): void;
    handleCopyLineButtonClick(event: MouseEvent): void;
}
